package com.ms.dal.mapper;

import com.ms.dal.entity.DoudianTradeMsgBuffer;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Entity com.ms.dal.entity.DoudianTradeMsgBuffer
 */
@Mapper
public interface DoudianTradeMsgBufferMapper {

    int deleteByPrimaryKey(Long id);

    int insert(DoudianTradeMsgBuffer record);

    int insertOrUpdate(DoudianTradeMsgBuffer  record);

    int insertSelective(DoudianTradeMsgBuffer record);

    DoudianTradeMsgBuffer selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(DoudianTradeMsgBuffer record);

    int updateByPrimaryKey(DoudianTradeMsgBuffer record);

}
